'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-679d8d77.js');
const mock = require('./mock-3d219c91.js');

const sSaqhanAppFooterCss = ".footer{margin-top:100px;margin-bottom:70px}.footer-info{margin-bottom:40px;color:#000;font-size:25px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-office{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-number{color:#007bff;font-size:14px}.footer-title{margin-bottom:35px;color:#39374d;font-size:18px;font-weight:500}.footer-item ul{padding-left:0px}.footer-item ul li{list-style-type:none;margin-bottom:15px}.foot-nav-link{color:#39374d;font-size:16px;-webkit-transition:0.1s ease;transition:0.1s ease}.foot-nav-link:hover{color:#007bff;font-weight:500;text-decoration:none;border-bottom:2px solid #007bff}.coopyrite{height:60px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;border-top:1px solid #e2e7ea}.coopyrite .left{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.coopyrite .right{text-align:right;color:#5e5d6c}.coopyrite .right a{font-family:\"Futura PT Book\";color:#5e5d6c;font-size:16px;text-decoration:none}@media screen and (max-width: 992px){.footer{margin-top:70px;margin-bottom:40px}.footer-info-block{text-align:center;margin-bottom:20px}}@media screen and (max-width: 768px){.footer-title,.footer-item{text-align:center}}@media screen and (max-width: 414px){.footer{text-align:center}.footer-title{margin-top:20px}.coopyrite{text-align:center}.coopyrite .right{text-align:center}}";

const SSaqhanAppFooter = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row footer" }, index.h("div", { class: "col-lg-4 col-md-12 footer-info-block" }, index.h("div", { class: "footer-info" }, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias aliquid asperiores."), index.h("div", { class: "footer-soc" }, index.h("div", { class: "template-demo" }, index.h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, index.h("i", { class: "fab fa-facebook-f" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" }, index.h("i", { class: "fab fa-youtube" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-instagram" })), index.h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, index.h("i", { class: "fab fa-twitter" }))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Solutions"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Services")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Portfolio")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "About")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Blog"))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Products"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Platform")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Customers")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Products")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Pricing"))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Pricing"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Training")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Marketplace")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Experts")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Guides"))))), index.h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, index.h("div", { class: "footer-title" }, "Offices"), index.h("div", { class: "footer-item" }, index.h("ul", null, index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Training")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Marketplace")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Experts")), index.h("li", null, index.h("a", { href: "#", class: "foot-nav-link" }, "Guides"))))), index.h("div", { class: "col-12 pt-5" }, index.h("div", { class: "choose-language text-muted small" }, index.h("i", { class: "fas fa-globe-africa" }), " Choose Language", index.h("br", null), index.h("a", { href: "/", class: "pr-3" }, "English (United Tates)"), index.h("a", { href: "/" }, "French"))))));
    }
};
SSaqhanAppFooter.style = sSaqhanAppFooterCss;

const sSaqhanBreadCardCss = ".bread-crumbs{border-top:1px solid #ccc;margin-top:20px;padding-top:10px;margin-bottom:30px;display:-ms-flexbox;display:flex}.right{text-align:right}.bread-crumbs ul{padding:0}.bread-crumbs ul>li{padding:0;margin:0;display:inline;font-size:13px}.bread-crumbs .left ul>li:after{content:\" / \";margin-left:-10px}.bread-crumbs .right ul>li:after{content:\" . \";font-size:32px;line-height:2px;position:absolute;margin-left:-8px;top:2px}.nav-link a{color:#ccc;text-decoration:none;margin-right:10px}.nav-link a:hover{color:#007bff}.left .active a{color:#000}.active a:hover{color:#000000;cursor:default}.right .active a{color:#007bff}.item{padding-top:30px;padding-bottom:30px;-webkit-transition:0.3s all;transition:0.3s all;border-radius:3px;color:#353535}.item:hover .wrapper{background-color:rgba(208, 208, 208, 0.65)}.item-img{width:263px;height:263px;border-radius:50%;background-size:cover;background-image:url(\"https://via.placeholder.com/300x300?text=Visit\")}.item-info{display:-ms-flexbox;display:flex;font-weight:400;margin-top:10px}.item-info div{margin-right:15px}.btn-custom-head{padding:0px 5px}.item-title{margin-bottom:25px}.item-title a{font-size:40px;line-height:1;color:#353535}.item-title a:hover{text-decoration:none}.item-sub-title{margin:20px 0}.item-author a,.item-date a{color:#353535}.item-link{font-size:18px;color:#008ae1}.item-link a,.item-author a,.item-date a{text-decoration:none}.container-fluid:hover{background-color:#efefef}@media (max-width: 768px){.item{-ms-flex-align:center;align-items:center}.item-img{width:200px;height:200px}}@media (max-width: 414px){.item{-ms-flex-pack:center;justify-content:center}.item-img{border-radius:0px;width:100%;height:300px}.right{display:none}.bread-crumbs{margin-bottom:0px}.item{padding-top:10px;margin-bottom:20px}.item-title{margin-bottom:20px;margin-top:20px}.item-title a{font-size:26px}}";

const SSaqhanBreadCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "bread-crumbs" }, index.h("div", { class: "col left" }, index.h("ul", null, index.h("li", { class: "nav-link" }, index.h("a", { href: "/" }, "Home")), index.h("li", { class: "nav-link active" }, index.h("a", { href: "#" }, "List Items")))), index.h("div", { class: "col right" }, index.h("ul", null, index.h("li", { class: "nav-link" }, index.h("a", { href: "/" }, "All")), index.h("li", { class: "nav-link" }, index.h("a", { href: "#" }, "Second Page")), index.h("li", { class: "nav-link active" }, index.h("a", { href: "#" }, "List Items"))))));
    }
};
SSaqhanBreadCard.style = sSaqhanBreadCardCss;

const sSaqhanBreadCrumbsCss = ":host{display:block}";

const SSaqhanBreadCrumbs = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getLinks(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", null, index.h(BreadLinks, { links: this.getLinks(this.links) })));
    }
};
const BreadLinks = (props) => {
    return props.links.map((item) => {
        return (index.h("div", { class: "container" }, index.h("s-saqhan-bread-card", { links: item })));
    });
};
SSaqhanBreadCrumbs.style = sSaqhanBreadCrumbsCss;

const sSaqhanHeaderAppCss = ":host{display:block}.navbar-brand img{width:125px}.btn-custom-head{padding:2px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px}header{margin-top:50px}@media (max-width: 414px){header{margin-top:20px}}";

const SSaqhanHeaderApp = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: "col" }, index.h("header", null, index.h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex justify-content-between" }, index.h("a", { href: "/", class: "navbar-brand" }, index.h("img", { src: "https://saqhan.github.io/wibbitz/assets/img/logo.jpg" })), index.h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" }, index.h("span", { class: "navbar-toggler-icon" })), index.h("div", { class: "collapse navbar-collapse justify-content-around align-items-center", id: "navbarSupportedContent" }, index.h("ul", { class: "navbar-nav m-auto" }, index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link active", href: "/" }, "Home")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/second-page/" }, "Second Page")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/list-items/" }, "List Items")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/chat/" }, "Online Chat")), index.h("li", { class: "nav-item" }, index.h("a", { class: "nav-link", href: "/second-page/" }, "Customer Stories"))), index.h("a", { href: "#", class: "pr-4" }, index.h("i", { class: "fas fa-search" })), index.h("form", { class: "form" }, index.h("div", { class: "input-group" }, index.h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), index.h("div", { class: "input-group-append" }, index.h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Subscribe")))))))))));
    }
};
SSaqhanHeaderApp.style = sSaqhanHeaderAppCss;

const sSaqhanItemNewsCss = ":host{display:block}";

const SSaqhanItemNews = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-header-app", null), index.h("s-saqhan-bread-crumbs", { links: mock.breadCrumbs }), index.h("s-saqhan-list-news", { news: mock.NewsStore }), index.h("s-saqhan-app-footer", null)));
    }
};
SSaqhanItemNews.style = sSaqhanItemNewsCss;

const sSaqhanListNewsCss = ":host{display:block}";

const SSaqhanListNews = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (index.h("div", null, index.h(NewsItem, { news: this.getNews(this.news) })));
    }
};
const NewsItem = (props) => {
    return (props.news.map(item => {
        return (index.h("div", { class: "container-fluid" }, " ", index.h("s-saqhan-news-card", { news: item }), " "));
    }));
};
SSaqhanListNews.style = sSaqhanListNewsCss;

const sSaqhanNewsCardCss = ":host{display:block}";

const SSaqhanNewsCard = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container list-items" }, index.h("div", { class: "row item" }, index.h("div", { class: "col-12 col-sm-4" }, index.h("div", { class: "item-img", style: { backgroundImage: 'url(' + this.news.img + ')' } })), index.h("div", { class: "col" }, index.h("div", { class: "item-title" }, index.h("a", { href: "/" }, this.news.title)), index.h("div", { class: "item-info" }, index.h("div", { class: "item-author" }, index.h("a", { href: "/" }, this.news.author)), index.h("div", { class: "item-date" }, index.h("a", { href: "/" }, this.news.date)), index.h("button", { class: "btn btn-primary btn-custom-head" }, this.news.category)), index.h("div", { class: "item-sub-title" }, this.news.subTitle), index.h("div", { class: "item-link" }, index.h("a", { href: "#" }, "Keep Readeing ", index.h("i", { class: "fas fa-chevron-circle-right" })))))));
    }
};
SSaqhanNewsCard.style = sSaqhanNewsCardCss;

exports.s_saqhan_app_footer = SSaqhanAppFooter;
exports.s_saqhan_bread_card = SSaqhanBreadCard;
exports.s_saqhan_bread_crumbs = SSaqhanBreadCrumbs;
exports.s_saqhan_header_app = SSaqhanHeaderApp;
exports.s_saqhan_item_news = SSaqhanItemNews;
exports.s_saqhan_list_news = SSaqhanListNews;
exports.s_saqhan_news_card = SSaqhanNewsCard;
