import { Component, h, Prop } from "@stencil/core";
export class SSaqhanNewBlog {
    getNewPosts(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row" },
                h("div", { class: "col-12" },
                    h("h1", { class: "font-weight-bold" }, "New Blog Post"))),
            h("div", { class: "row" },
                h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    }
    static get is() { return "s-saqhan-new-blog"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-new-blog.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-new-blog.css"]
    }; }
    static get properties() { return {
        "blogPost": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "object",
                "resolved": "object",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
}
const NewPostCard = (props) => {
    return (props.post.map((item) => {
        return h("div", { class: "col-12 col-md-6 col-lg-4 " },
            h("s-saqhan-blog-card", { post: item }));
    }));
};
