import { Component, h, Prop } from '@stencil/core';
export class SSaqhanPopularNews {
    getPopularNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row pt-5 pb-5" },
                h("div", { class: "col-12" },
                    h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")),
                h("div", { class: "col-12 col-lg-7" },
                    h("div", { class: "cards-popular" },
                        h(CardPopular, { post: this.getPopularNews(this.popularNews) }))),
                h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner d-flex align-items-center flex-column justify-content-center" },
                    h("div", { class: "banner-title text-center text-white" },
                        "Storyteller Circle ",
                        h("br", null),
                        "Event Series"),
                    h("div", { class: "btn-read pt-3" },
                        h("a", { href: "#" }, "Watch Webinar"))))));
    }
    static get is() { return "s-saqhan-popular-news"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-popular-news.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-popular-news.css"]
    }; }
    static get properties() { return {
        "popularNews": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "popular-news",
            "reflect": false
        }
    }; }
}
const CardPopular = (props) => {
    return (props.post.map((item) => {
        return h("s-saqhan-popular-card", { post: item });
    }));
};
