import { Component, h, Prop } from "@stencil/core";
export class SSaqhanBreadCrumbs {
    getLinks(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", null,
            h(BreadLinks, { links: this.getLinks(this.links) })));
    }
    static get is() { return "s-saqhan-bread-crumbs"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-bread-crumbs.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-bread-crumbs.css"]
    }; }
    static get properties() { return {
        "links": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "links",
            "reflect": false
        }
    }; }
}
const BreadLinks = (props) => {
    return props.links.map((item) => {
        return (h("div", { class: "container" },
            h("s-saqhan-bread-card", { links: item })));
    });
};
