import { r as registerInstance, h } from './index-f1b570f9.js';
var sSaqhanEventsBlogCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}.new-blog-cards{display:-ms-flexbox;display:flex;-ms-flex-pack:distribute;justify-content:space-around}@media (max-width: 414px){.blog-card{width:85%;margin:auto}.block-title{text-align:center}}";
var SSaqhanEventsBlog = /** @class */ (function () {
    function SSaqhanEventsBlog(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanEventsBlog.prototype.getEvents = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanEventsBlog.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: " pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")), h("div", { class: "row" }, h(EventsPost, { event: this.getEvents(this.events) })))));
    };
    return SSaqhanEventsBlog;
}());
var EventsPost = function (props) {
    return props.event.map(function (item) {
        return (h("div", { class: "col-12 col-md-6 col-lg-4" }, h("s-saqhan-event-card", { event: item })));
    });
};
SSaqhanEventsBlog.style = sSaqhanEventsBlogCss;
var sSaqhanFirstSliderCss = "";
var SSaqhanFirstSlider = /** @class */ (function () {
    function SSaqhanFirstSlider(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanFirstSlider.prototype.mainNews = function (arr) {
        return (arr.filter(function (item) { return item.main; }) || []).slice(-1);
    };
    SSaqhanFirstSlider.prototype.lentaNews = function (arr) {
        return (arr.filter(function (item) { return item.lenta; })).slice(-4).reverse();
    };
    SSaqhanFirstSlider.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12 col-lg-7" }, h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })), h("div", { class: "col-12 col-lg-5" }, h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    };
    return SSaqhanFirstSlider;
}());
// получает и передает в компонент элементы
var MainNews = function (props) {
    return (props.arr.map(function (item) {
        return h("s-saqhan-main-news-card", { mainNews: item });
    }));
};
//лента новостей
var LentaNews = function (props) {
    return (props.lenta.map(function (item) {
        return h("s-saqhan-lenta-news-card", { lentaNews: item });
    }));
};
SSaqhanFirstSlider.style = sSaqhanFirstSliderCss;
var sSaqhanPopularNewsCss = ".banner{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\");background-size:cover}.banner .btn-read a{color:#fff;border-bottom:1px solid #ffffff;-webkit-transition:0.3s all;transition:0.3s all}.banner .btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (max-width: 414px){.banner{margin-top:50px}.blog-img{margin:auto}.block-title{text-align:center}}";
var SSaqhanPopularNews = /** @class */ (function () {
    function SSaqhanPopularNews(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanPopularNews.prototype.getPopularNews = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanPopularNews.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")), h("div", { class: "col-12 col-lg-7" }, h("div", { class: "cards-popular" }, h(CardPopular, { post: this.getPopularNews(this.popularNews) }))), h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner d-flex align-items-center flex-column justify-content-center" }, h("div", { class: "banner-title text-center text-white" }, "Storyteller Circle ", h("br", null), "Event Series"), h("div", { class: "btn-read pt-3" }, h("a", { href: "#" }, "Watch Webinar"))))));
    };
    return SSaqhanPopularNews;
}());
var CardPopular = function (props) {
    return (props.post.map(function (item) {
        return h("s-saqhan-popular-card", { post: item });
    }));
};
SSaqhanPopularNews.style = sSaqhanPopularNewsCss;
export { SSaqhanEventsBlog as s_saqhan_events_blog, SSaqhanFirstSlider as s_saqhan_first_slider, SSaqhanPopularNews as s_saqhan_popular_news };
