import { Component, h } from '@stencil/core';
export class SSaqhanHeaderApp {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("header", null,
                        h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex justify-content-between" },
                            h("a", { href: "/", class: "navbar-brand" },
                                h("img", { src: "https://saqhan.github.io/wibbitz/assets/img/logo.jpg" })),
                            h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" },
                                h("span", { class: "navbar-toggler-icon" })),
                            h("div", { class: "collapse navbar-collapse justify-content-around align-items-center", id: "navbarSupportedContent" },
                                h("ul", { class: "navbar-nav m-auto" },
                                    h("li", { class: "nav-item" },
                                        h("a", { class: "nav-link active", href: "/" }, "Home")),
                                    h("li", { class: "nav-item" },
                                        h("a", { class: "nav-link", href: "/second-page/" }, "Second Page")),
                                    h("li", { class: "nav-item" },
                                        h("a", { class: "nav-link", href: "/list-items/" }, "List Items")),
                                    h("li", { class: "nav-item" },
                                        h("a", { class: "nav-link", href: "/chat/" }, "Online Chat")),
                                    h("li", { class: "nav-item" },
                                        h("a", { class: "nav-link", href: "/second-page/" }, "Customer Stories"))),
                                h("a", { href: "#", class: "pr-4" },
                                    h("i", { class: "fas fa-search" })),
                                h("form", { class: "form" },
                                    h("div", { class: "input-group" },
                                        h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }),
                                        h("div", { class: "input-group-append" },
                                            h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Subscribe")))))))))));
    }
    static get is() { return "s-saqhan-header-app"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-header-app.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-header-app.css"]
    }; }
}
