import { Component, h } from "@stencil/core";
import { blogCarouselMock, blogPost, popularNews, events } from "../../utils/mock";
export class SSaqhanComponent {
    render() {
        return (h("div", null,
            h("s-saqhan-header-app", null),
            h("s-saqhan-first-slider", { blogCarouselMock: blogCarouselMock }),
            h("s-saqhan-new-blog", { blogPost: blogPost }),
            h("s-saqhan-popular-news", { popularNews: popularNews }),
            h("s-saqhan-events-blog", { events: events }),
            h("s-saqhan-subsc-banner", null),
            h("s-saqhan-app-footer", null)));
    }
    static get is() { return "s-saqhan-component"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-component.css"]
    }; }
}
