import { r as registerInstance, h } from './index-f1b570f9.js';

const sSaqhanEventCardCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}@media (max-width: 414px){.blog-card{width:85%;margin:auto;margin-bottom:15px}.block-title{text-align:center}}";

const SSaqhanEventCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category text-warning small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.event.img + ")" } }, h("span", { class: !this.event.date ? 'no-date' : 'date-event' }, " ", this.event.date, " ")), h("div", { class: this.ColorCategory(this.event.category) }, this.event.category), h("div", { class: "blog-title pt-3 font-weight-bold" }, this.event.title), h("div", { class: "btn-read pt-3" }, h("a", { href: "/second-page/" }, " ", this.event.btnText, " "))));
    }
};
SSaqhanEventCard.style = sSaqhanEventCardCss;

export { SSaqhanEventCard as s_saqhan_event_card };
